Bug 894903 - sharedstatedir set to /usr/com in SPEC
Summary: sharedstatedir set to /usr/com in SPEC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: shellinabox
Version: el5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-13 23:55 UTC by Paul Moore
Modified: 2013-02-01 13:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-23 16:04:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Moore 2013-01-13 23:55:44 UTC
Description of problem:

The package creates directory /usr/com/shellinabox however this does not otherwise exist in RHEL5.

Version-Release number of selected component (if applicable):
shellinabox-2.14-19.git88822c1f.el5.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install the package
2. type "ls /usr/com"
3.
  
Actual results:
It exists.

Expected results:
It souldn't exist.

Additional info:

This can be easily fixed by installing the source rpm shellinabox-2.14-19.git88822c1f.el5.src.rpm and adding the following line to the shellinabox.SPEC file.

%define _sharedstatedir /var/lib

Comment 1 Simone Caronni 2013-01-14 09:47:01 UTC
Thanks, applied:

http://pkgs.fedoraproject.org/cgit/shellinabox.git/commit/?id=0cc939f74dde8587ce70dd6d31e0752aa00292e6

A new update is on the way; I will remove the one currently in updates-testing.

Regards,
--Simone

Comment 2 Fedora Update System 2013-01-14 09:59:32 UTC
shellinabox-2.14-20.git88822c1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shellinabox-2.14-20.git88822c1.el6

Comment 3 Fedora Update System 2013-01-14 09:59:32 UTC
shellinabox-2.14-20.git88822c1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/shellinabox-2.14-20.git88822c1.el5

Comment 4 Fedora Update System 2013-01-14 09:59:39 UTC
shellinabox-2.14-20.git88822c1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/shellinabox-2.14-20.git88822c1.fc16

Comment 5 Fedora Update System 2013-01-14 09:59:43 UTC
shellinabox-2.14-20.git88822c1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shellinabox-2.14-20.git88822c1.fc17

Comment 6 Fedora Update System 2013-01-14 09:59:48 UTC
shellinabox-2.14-20.git88822c1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/shellinabox-2.14-20.git88822c1.fc18

Comment 7 Fedora Update System 2013-01-15 02:25:31 UTC
Package shellinabox-2.14-20.git88822c1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shellinabox-2.14-20.git88822c1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0806/shellinabox-2.14-20.git88822c1.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-01-23 16:04:25 UTC
shellinabox-2.14-20.git88822c1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-01-23 16:24:29 UTC
shellinabox-2.14-20.git88822c1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-23 16:29:34 UTC
shellinabox-2.14-20.git88822c1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-02-01 13:18:19 UTC
shellinabox-2.14-20.git88822c1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-02-01 13:20:55 UTC
shellinabox-2.14-20.git88822c1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.